# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Log/Any.pm) perl(Log/Any/Test.pm) perl(Test/More.pm) perl(Log/Any/Adapter/Duperr.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Log-Any-For-Std
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Send output of STDERR to Log::Any
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IV/IVANYCH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Log::Any provides convenient API for logging of messages. But to ensure
recording of a message into the log you have to evidently call out one of the
logging methods, e.g `$log->info('some message')'.

At the same time it is often needed in programs to log a message which you
evidently didn't output. For example it may be a message output by the
interpreter STDERR as a result of an error.

The module `Log::Any::For::Std'  logs your messages for you. You can just
write in your application `use Log::Any::For::Std;' and all the standard error
messages will start logging magically.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/L*

%changelog
* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

